<?xml version="1.0"?>
<schema xmlns="http://www.w3.org/2001/XMLSchema"
        targetNamespace="http://www.olympus.com"
        xmlns:olympus="http://www.olympus.com"
        elementFormDefault="qualified">

    <element name="lens" type="olympus:lensType"/>
    <element name="zoom" type="string"/>
    <element name="f-stop" type="string"/>

    <complexType name="lensType">
        <sequence>
            <element ref="olympus:zoom" />
            <element ref="olympus:f-stop" />
        </sequence>
    </complexType>

</schema>